ShortLinkControllerDeleteShortLinks Method |
POST /ShortLink/Delete
Deletes short links according to the specified criteria.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Delete")]
public IActionResult DeleteShortLinks(
[FromBodyAttribute] DeleteShortLinksOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Delete")>
Public Function DeleteShortLinks (
<FromBodyAttribute> options As DeleteShortLinksOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Delete")]
IActionResult^ DeleteShortLinks(
[FromBodyAttribute] DeleteShortLinksOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Delete")>]
member DeleteShortLinks :
[<FromBodyAttribute>] options : DeleteShortLinksOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDeleteShortLinksOptions
The options for the operation. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An integer representing the number of deleted short links, or a status code indicating the problem.
See Also